<?php

namespace Superrobota\Log;

use User;

class Log
{
    /**
     * $log object.
     */
    protected $log;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Log\Interfaces\LogRepositoryInterface $log)
    {
        $this->log = $log;
    }

    /**
     * Returns count of log.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.log.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->log->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\LogUserCriteria());
        }

        $log = $this->log->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('log::' . $view, compact('log'))->render();
    }
}
