<?php

namespace Superrobota\Log\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LogTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Log\Models\Log $log)
    {
        return [
            'id'                => $log->getRouteKey(),
            'key'               => [
                'public'    => $log->getPublicKey(),
                'route'     => $log->getRouteKey(),
            ], 
            'name'              => $log->name,
            'url'               => [
                'public'    => trans_url('log/'.$log->getPublicKey()),
                'user'      => guard_url('log/log/'.$log->getRouteKey()),
            ], 
            'status'            => trans('app.'.$log->status),
            'created_at'        => format_date($log->created_at),
            'updated_at'        => format_date($log->updated_at),
        ];
    }
}